> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Category Attributes




## OpenAPI

````yaml /openapi/scx/seller.json get /v1/seller/meta/{channel}/category/{categoryId}/attributes
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/meta/{channel}/category/{categoryId}/attributes:
    get:
      tags:
        - Meta
      summary: |
        Category Attributes
      operationId: GetChannelCategoryAttributes
      parameters:
        - in: path
          required: true
          name: channel
          description: Channel name whose category attribute set should be returned.
          schema:
            type: string
        - in: path
          required: true
          name: categoryId
          description: ID of the category whose attribute requirements should be returned.
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/CategoryAttributes'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  responses:
    CategoryAttributes:
      description: List of attributes valid for the requested category
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AttributeList'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    AttributeList:
      type: object
      properties:
        attributeList:
          type: array
          items:
            $ref: '#/components/schemas/Attribute'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Attribute:
      type: object
      required:
        - attributeId
        - displayName
      properties:
        attributeId:
          $ref: '#/components/schemas/AttributeId'
        displayName:
          description: >
            Display name is used to display the attribute inside a User
            Interface.
          type: string
          example: Brand
          maxLength: 150
        isMultipleAllowed:
          description: |
            Define if there is more than one value allowed for this attribute.
          type: boolean
          example: false
          default: false
        type:
          description: >
            Attribute type decribe which kind of data is expecet for a
            particular attribute.


            * Type **smalltext** is considerd a plain text any may not exceed
            more than 255 characters.

            * Type **text** is considerd plain text and may not exceed a maximum
            length more than 50.000 characters.

            * Type **htmltext** may be used for text where HTML Markup is
            allowed. The maximum lengh schould not exceed

            more than 50.000 characters.

            * Type **date** must follow [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard with
            Timezone.

            * Type **enum** may provide data with enumValues property

            * Type **image** a attribute with an existing remote File uploaded
            using `POST /v1/seller/offer/file`

            * Type **document** a attribute with an existing remote File
            uploaded using `POST /v1/seller/offer/file`

            * Type **url** must match a URL Schema

            * Type **label** can be used as help text. Requires description to
            be set
          type: string
          enum:
            - smalltext
            - htmltext
            - text
            - integer
            - decimal
            - enum
            - date
            - boolean
            - image
            - document
            - url
            - label
          example: text
          default: smalltext
        values:
          description: >
            A set of possible choices for this specific attribute, in the form
            of a list of possible enumerations.
          type: array
          items:
            $ref: '#/components/schemas/AllowedValue'
          example:
            - value: Beer
            - value: Tee
              display: Wine
        attributeValueValidation:
          description: |
            Regular expression to validate attribute value
          type: string
          example: /^[0-9]{13}$/
          maxLength: 1024
          default: null
        conditionalMandatoryBy:
          description: |
            This property defines conditional mandatory settings
          type: array
          nullable: true
          items:
            type: object
            properties:
              attributeId:
                $ref: '#/components/schemas/AttributeId'
              attributeValues:
                type: array
                items:
                  type: string
                  example: High
        conditionalOptionalBy:
          description: |
            This property defines conditional optional settings
          type: array
          nullable: true
          items:
            type: object
            properties:
              attributeId:
                $ref: '#/components/schemas/AttributeId'
              attributeValues:
                type: array
                items:
                  type: string
                  example: No Frame
        required:
          type: boolean
          example: true
          default: false
        recommended:
          description: >
            A Channel may recommend to have a attribute set when lisitng a offer
            on a certain markatplace to gain more

            visibility and potential transactions.
          type: boolean
          example: false
          default: false
        section:
          description: >
            Optinal attribute to assign a attribute to a specific section. A
            section can be used by a Seller Integration

            to show attributes grouped inside a identical section name.
          type: string
          example: Colors and Appearance
          default: null
        sectionPosition:
          description: >-
            Section position is used to sort attributes in descending order
            inside a section. This property may be used by a Seller Integration
            to determine display sequence in a User Interface.
          type: integer
          default: 0
        isRepeatableSubSection:
          description: >
            A repeatable subSection can be used to group related attributes
            together. Those related set of attributes is 

            repeatable as a group. When thoese attributes are transmitted to the
            SCX-Seller API as Channel Attributes they 

            must have the "group" property filled with a unique identifier. This
            attribute affect the subSection property.

            All subsections with the same name must have the same value
            isRepeatableSubSection and musst not be mixed with

            different settings.
          type: boolean
          example: true
          default: false
          nullable: true
        subSection:
          description: >
            A sub section can be used to build a group of attributes inside a
            section.
          type: string
          example: Length
          default: null
        subSectionPosition:
          description: >
            Sub section position is used to sort attributes in descending order.
            This property may be used by a Seller

            Integration to determine display sequence in a User Interface inside
            identicy **section**s
          type: integer
          example: 0
          default: 0
        description:
          description: |
            Describe the purpose of an Attribute.
          type: string
          example: null
          default: null
        isVariationDimension:
          type: boolean
          example: true
          default: null
        enumValues:
          deprecated: true
          description: |
            (DEPRECATED - use values property instead)
            If the attribte type equals to ENUM this propertie must be set.
          type: array
          items:
            type: string
            maxLength: 200
            example: Blue
    AttributeId:
      description: |
        AttributeId must be a category tree wide unique identifer.
      type: string
      example: '12323'
      minLength: 1
      maxLength: 512
    AllowedValue:
      type: object
      required:
        - value
      properties:
        value:
          description: >
            An enumeration to include in the set. The enumeration bust be
            string-based.

            Example: '1', 'green_l_st'
          type: string
          maxLength: 1024
          minLength: 1
        display:
          description: >
            An optional alias for the enumeration, which will be shown in the
            GUI. If left empty, the value will be shown instead.

            Example: 'Red', 'Light Green + Striped'
          type: string
          maxLength: 1024
          minLength: 1
        sort:
          description: Specifies the order of values
          type: integer
          default: 0
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````